import { nothing } from '../../../external/lit/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
export declare class UmbPreviewEnvironmentsElement extends UmbLitElement {
    #private;
    private _culture?;
    private _items;
    private _popoverOpen;
    private _segment?;
    private _unique?;
    constructor();
    connectedCallback(): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbPreviewEnvironmentsElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-preview-environments': UmbPreviewEnvironmentsElement;
    }
}
